Package org.eclipse.m2m.atl.common

# Class ConsoleStreamHandler

java.lang.Object
java.util.logging.Handler
java.util.logging.StreamHandler
org.eclipse.m2m.atl.common.ConsoleStreamHandler

public class ConsoleStreamHandler extends StreamHandler
Flushes after every log and doesn't close output stream.

## Constructor Summary

Constructors
Constructor
Description
`ConsoleStreamHandler(OutputStream out)`
Creates a ConsoleStreamHandler for out.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Don't close output stream.
`void`
`publish(LogRecord record)`

### Methods inherited from class java.util.logging.StreamHandler

`flush, isLoggable, setEncoding, setOutputStream`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleStreamHandler

public ConsoleStreamHandler(OutputStream out)
Creates a ConsoleStreamHandler for out.

Parameters:
  `out` - the console

## Method Details

### publish

public void publish(LogRecord record)

Overrides:
  `publish` in class `StreamHandler`
See Also:
  - `StreamHandler.publish(java.util.logging.LogRecord)`

### close

public void close()
Don't close output stream.

Overrides:
  `close` in class `StreamHandler`